com.r3corda.core.serialization / SerializeAsToken

# SerializeAsToken

`interface SerializeAsToken`

This interface should be implemented by classes that want to substitute a token representation of themselves if they are serialized because they have a lot of internal state that does not serialize (well).

This models a similar pattern to the readReplace/writeReplace methods in Java serialization.

With Kryo serialisation, these classes should also annotate themselves with @DefaultSerializer. See below.

### Properties

token | `abstract val token: SerializationToken`

### Inheritors

SerializeAsStringToken | `abstract class SerializeAsStringToken : SerializeAsToken` A base class for implementing large objects / components / services that need to serialize themselves to a string token to indicate which instance the token is a serialized form of.